%define appsdir  %{_datadir}/rox-filer
%define arcsdir %{appsdir}/AppsConf/.archives

Summary:    applets & utils for ROX-Desktop
Name:		rox-desktop-plus
Version:	0.2.0
Release:	1%{?_dist_release}
Source0:	%{name}-%{version}.tar.bz2
License:	GPL
Group:		User Interface/Desktops
URL:		http://add10.hp.infoseek.co.jp/rox/
Vendor:		Project Vine
Distribution:	Vine Linux
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
Requires:	rox-filer rox-clib rox-clib-devel rox-lib2 rox-wrappers-plus >= 0.6.3
Requires:       gtk2-devel libxml2-devel libwnck-devel libstdc++3-devel
Packager:	OKATANA <mkato@par.odn.ne.jp,mosaicist@par.odn.ne.jp>

%description
applets & utils for ROX-Desktop

%description -l ja
ROX-Desktop 用アプレット & ユーティリティ集

%prep
%setup -q

%build

%install
%__rm -rf %{buildroot}
%__mkdir -p %{buildroot}/%{arcsdir}
%__cp -r .Rox-Utils.tgz %{buildroot}%{arcsdir}/
%__mkdir %{buildroot}%{_prefix}/lib
%__cp -a TrayLib %{buildroot}%{_prefix}/lib/
%__mkdir -p %{buildroot}%{_bindir}
%__install -m 755 %{name} %{buildroot}%{_bindir}
%__mkdir -p %{buildroot}%{_datadir}/applications/
%__install -m 644 %{name}.desktop %{buildroot}%{_datadir}/applications/
%__mkdir -p %{buildroot}%{_datadir}/pixmaps/
%__install -m 644 %{name}.png %{buildroot}%{_datadir}/pixmaps/

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{arcsdir}/.Rox-Utils.tgz
%{_prefix}/lib/TrayLib
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*

%changelog
* Wed Sep 15 2010 KATO Masashi <mkato@par.odn.ne.jp> 0.2.0-1
-     Vine Linux ROX-Filer maintenance team OKATANA
-         (KATO Masashi, TANAKA hiroaki)
- added some AppDir(Execute, SimpleClock, VideoThumbnail, DevTray, XDG-Menu)
- added TrayLib(for DevTray)
- added /usr/bin/rox-desktop-plus
- added desktop entry

* Sat Sep 12 2009 KATO Masashi <mkato@par.odn.ne.jp> 0.1.3-1
-     ROX-Filer maintenance team OKATANA(KATO Masashi, TANAKA hiroaki)
- source update
-     added some rox applications
- rebuild by new versioning policy.
- changed system directory to /usr/share/rox-filer

* Sun Aug  6 2006 OKATANA <mkato@par.odn.ne.jp,mosaicist@par.odn.ne.jp> 0.1.2-0vl1,2
- change Requires to rox-filer

* Tue Oct 11 2005 OKATANA <mkato@par.odn.ne.jp,mosaicist@par.odn.ne.jp> 0.1.0-0vl1,2
- initial package for vine linux
